/*

The Life of a Geek
Copyright (C) 2003-2004 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at coredump0@mercurylink.net

scoreitm.cc: Class ScoreItem

5/10/04: Daniel Quintiliani <coredump0@mercurylink.net>: Updated ReturnItem().

*/

#include <iostream>
#include <stdio.h>
#include "scoreitm.h"

using namespace std;

ScoreItem::ScoreItem()
{
	Score = 0;
	Name = "Geek";
	Level = 1;
	Days = 0;
	Winner = 0;
}

ScoreItem::ScoreItem(int score, string name, int level, int days, 
	int winner)
{
	InitItem(score, name, level, days, winner);
}

ScoreItem::~ScoreItem()
{
}

void ScoreItem::InitItem(int score, string name, int level, int days,
        int winner)
{
        Score = score;
        Name = name;
        Level = level;
        Days = days;
        Winner = winner;
}

string ScoreItem::ReturnItem()
{
	char szScore[10], szLevel[5], szDays[10], szWinner[2];
         
        sprintf(szScore, "%d", Score);
        sprintf(szLevel, "%d", Level);
        sprintf(szDays, "%d", Days);
        sprintf(szWinner, "%d", Winner);

	string sScore = szScore;
	string sLevel = szLevel;
        string sDays = szDays;
	string sWinner = szWinner;
 
        return sScore + '\n' + Name + '\n' + sLevel + ' ' + sDays + ' ' +
		sWinner; 
}

int ScoreItem::ReturnScore()
{
	return Score;
}
